
//
//	hsp3.cpp header
//
#ifndef __hsp3_h
#define __hsp3_h

#include "hsp3debug.h"
#include "hsp3struct.h"
#include "hsp3ext.h"
#include "hsp3code.h"

//	HSP3 class
//
class Hsp3 {
public:
	//	Functions
	//
	Hsp3( void );
	~Hsp3( void );
	void Dispose( void );						// HSP ax̔j
	int Reset( int mode );						// HSP ax̏sȂ
	void SetPackValue( int sum, int dec );		// packfilep̐ݒf[^n
	void SetFileName( char *name );				// axt@Cw肷
	void SetFileName( char *name, char *data);				// axt@Cw肷

	//	Data
	//
	HSPCTX hspctx;
	char *axname;
	char *axfile;
	int	maxvar;
	int hsp_sum, hsp_dec;
	char *axdata;

private:
};


#endif
