;
; OpenHSP for NDS
;
#ifndef __nds__
#define __nds__

#define global KEY_A		0x0001
#define global KEY_B		0x0002
#define global KEY_SELECT	0x0004
#define global KEY_START	0x0008
#define global KEY_RIGHT	0x0010
#define global KEY_LEFT		0x0020
#define global KEY_UP		0x0040
#define global KEY_DOWN		0x0080
#define global KEY_R		0x0100
#define global KEY_L		0x0200
#define global KEY_X		0x0400
#define global KEY_Y		0x0800
#define global KEY_TOUCH	0x1000
#define global KEY_LID		0x2000

#define global SPRITE_MODE_8x8		0x0000
#define global SPRITE_MODE_16x8		0x0100
#define global SPRITE_MODE_8x16		0x0200

#define global SPRITE_MODE_16x16	0x0001
#define global SPRITE_MODE_32x8		0x0101
#define global SPRITE_MODE_8x32		0x0201

#define global SPRITE_MODE_32x32	0x0002
#define global SPRITE_MODE_32x16	0x0102
#define global SPRITE_MODE_16x32	0x0202

#define global SPRITE_MODE_64x64	0x0003
#define global SPRITE_MODE_64x32	0x0103
#define global SPRITE_MODE_32x64	0x0203

#define global SPRITE_NORMAL		0x000
#define global SPRITE_ROTSCALE		0x100
#define global SPRITE_DISABLED		0x200
#define global SPRITE_ROTSCALE_DOUBLE	0x300

#define global CONSOLE_WIDTH 32
#define global CONSOLE_HEIGHT 24

#define global NDS_SND_PCM_8BIT 0
#define global NDS_SND_PCM_16BIT 1
#define global NDS_SND_ADPCM 2

#regcmd 9

#cmd ndsMes $40
#cmd ndsPos $41
#cmd ndsCls $42
#cmd ndsCll $43
#cmd ndsSwap $45

#cmd ndsKeys $50
#cmd ndsTouch $51

#cmd ndsSprLoad $60
#cmd ndsSprMove $61
#cmd ndsSprUpdate $62

#cmd ndsTileSetState $68
#cmd ndsTileLoad $69
#cmd ndsTileSetMap $6a
#cmd ndsTileMove $6b

#cmd ndsSndLoad $70
#cmd ndsSndPlay $71

#cmd ndsMp3Play $80
#cmd ndsMp3Pause $81
#cmd ndsMp3Unpause $82
#cmd ndsMp3Stop $83
; set the mp3 volume (0..127)
#cmd ndsMp3Volume $84
; set the mp3 panning (0=left, 64=center, 127=right)
#cmd ndsMp3Pan $85
#cmd ndsMp3Loop $86

#endif

